I'm on 5.03 prome-3. Should I upgrade to 6.35 PRO-B ?

Discussion in 'PSP - Hacking & Homebrew' started by Bryon15, Feb 25, 2011.

  1. Bryon15
    OP

    Member Bryon15 GBAtemp Advanced Fan

    Joined:
    Aug 9, 2010
    Messages:
    987
    Location:
    united states
    Country:
    United States
    I need help making a big decision. I have a psp 3000 with CFW 5.03 prome-3 installed. I downgraded from 6.20 TN-B because 5.03 prome-3 had psx pops support. Overall I am very satisfied with it. It plays many psp isos, psx games, emulators and homebrew. The only problem I have with it is that it can't play psp games that require OFW 6.31 Namely DBZ tenkaichi tag team. And yes I tried patching it but it still didn't work. So should I upgrade to 6.35 pro-B since it can play psx games and higher firmware psp games? I'm hesitating because I don't want to lose any of the stuff my current 5.03 prome-3 can do. Please help.
     
  2. demonicstrife

    Member demonicstrife *INSERTGENERICTITLE*

    Joined:
    May 22, 2008
    Messages:
    769
    Location:
    Somewhere in the middle
    Country:
    United States
    You might have some weird save file corruption issues with some of your games, and 6.35 at the moment has far less plugin support, as well as homebrew support. It all depends on what your preferences are: PSP and PSX games versus emulators and homebrew. Also, there might be some PSX games that get broken with the 6.35 POPS, while others are much improved.
     
  3. xist

    Member xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Joined:
    Jul 14, 2008
    Messages:
    5,861
    Country:
    United Kingdom
    No you shouldn't update yet. Just find someone/where that knows what they're doing with fixes. If anything why not prome-4?
     
  4. Bryon15
    OP

    Member Bryon15 GBAtemp Advanced Fan

    Joined:
    Aug 9, 2010
    Messages:
    987
    Location:
    united states
    Country:
    United States

Share This Page